Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Class BooleanExpression

    java.lang.Object
      org.jbpm.task.BooleanExpression

All Implemented Interfaces:
  Externalizable, Serializable

    @Entity
    public class BooleanExpression

extends Object
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`BooleanExpression()`
`BooleanExpression(String type, String expression)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getExpression()`
`Long` | `getId()`
`String` | `getType()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setExpression(String expression)`
`void` | `setId(long id)`
`void` | `setType(String type)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanExpression

    public BooleanExpression()

### BooleanExpression

    public BooleanExpression(String type,
                             String expression)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

### setId

    public void setId(long id)

### getType

    public String getType()

### setType

    public void setType(String type)

### getExpression

    public String getExpression()

### setExpression

    public void setExpression(String expression)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.